#!/bin/bash

AOD_INSTALLROOT="/opt"
AOD_INSTALLDIR="${AOD_INSTALLROOT}/sap-aod"
AOD_TMPFS_MNTPT="${AOD_INSTALLDIR}/tmpfs_staging_area"
AOD_TMPFS_SZ="256M"

AOD_TMPFS_FSTAB_LINE="tmpfs ${AOD_TMPFS_MNTPT}  tmpfs   size=${AOD_TMPFS_SZ}    0   0"

if [[ ! -d "$AOD_TMPFS_MNTPT" ]]
then
    mkdir "$AOD_TMPFS_MNTPT"
fi

if (( $(mount -t tmpfs |grep -Ec "${AOD_TMPFS_MNTPT}") == 0 ))
then
    if (( $(grep -Ec "${AOD_TMPFS_MNTPT}" /etc/fstab) == 0 ))
    then
        echo $AOD_TMPFS_FSTAB_LINE >> /etc/fstab
    fi

    mount "${AOD_TMPFS_MNTPT}"
    if (( $? != 0 ))
    then
        echo "$0: error mounting tmpfs on ${AOD_TMPFS_MNTPT}"
        exit 1
    fi
fi

systemctl enable aod
systemctl start --now aod
